Bug 1303588 - [RFE] beaker-wizard add option for altering makefile based on skeleton selected
[RFE] beaker-wizard add option for altering makefile based on skeleton selected
Product: Beaker
Classification: Community
Component: wizard (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Ondrej Hudlicky
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2016-02-01 06:37 EST by Marek Haicman
Modified: 2017-05-02 06:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-05-02 06:00:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marek Haicman 2016-02-01 06:37:25 EST
Currently it is possible to create skeleton of test itself, but in case I would like to use some libraries in this skeleton, addition of requires cannot be done in automatic way, and I need to alter Makefile by hand.

Version-Release number of selected component (if applicable):
beaker-wizard 2.3.0
Comment 1 Marek Haicman 2016-02-05 06:42:51 EST
Update: I have just noticed in the source code that you actually can do that via parameters of skeleton.

<skeleton name="skel1" requires="gdb" rhtsrequires="library(perl/lib1) library(scl/lib2)">

Thus I would like to change this RFE for request for special man page of wizard conf file. :)
Comment 3 Ondrej Hudlicky 2017-05-02 06:00:46 EDT
Closing based on confirmation that RFE is not needed in comment 1. 
Marek, if you are not satisfied with man page, can you file separate bz?

Note You need to log in before you can comment on or make changes to this bug.